# Chaotic Flow

I find I meander through tasks quite chaotically.
I often have many tasks on the go at a time, and work through them slowly, flitting between them as and when my interest takes me.
In the past I've considered this nature of being as a disruption of of [flow](https://en.wikipedia.org/wiki/Flow_(psychology)), surely a negative pressure on my productive and ability to focus, which is so crucial to complex undertakings requiring deep focus.
However, now I think that the chaos is a good thing, actually, and that a chaotic flow might be the best flow of all, from a certain perspective.

My thinking is this - deep flow is great, but most of the time, I am distracted.
This is fine in itself, I might be distracted by work, by people, the weather, or anything.
I might just be daydreaming, thinking about future plans, or listening to music.
A wandering mind is curious, and ripe for inspiration and new ideas, in a way that a flowing mind is not.
Though literally distracted, in a creative domain ideas and inspiration are a fundamental currency, so I hesitate to consider time spent distracted as "wasted".
Instead, I frame it as still flowing, actually, but in a softer, looser sense than dedicated one's entire being to a singular focus.

Of course, this can't apply to everything - in plenty of situations, failing to achieve a deep focus prevents the act from being performed at all.
However, when I consider my hobbies and projects, they are mostly being text-based, almost entirely computer-based, and I expect the same is true for most of this blog's audience, so I'll press on regardless.

Being a text-based kind of person, I can touch-type comfortably, and have generally text- and keyboard-based workflows.
I also like shell scripting and optimising things, so 
It's become easy to open a terminal (2 keypresses), a text editor (4 keypresses, 2 if a terminal is already focused) or a particular project (rarely more than 8 keypresses, even for an arbitrarily named project) before actually thinking about what it is I want to accomplish.
This means it's exceptionally easy to get to the point of expression for an idea - a short key sequence in muscle memory takes less than a second to input, and might take at most five seconds if I need to navigate a little.
On a system which reacts to these inputs as quickly as they are entered that means I could be starting to write about the 

That said, the wandering mind is flighty, and difficult to wrangle into action.

I want to start by clarifying that I have nothing against deep, focused flow - I actively encourage it!
There's no substitute to spending good, quality time learning, practising, creating, playing, whatever your verb of choice might be.
You will get better at doing the thing and you'll have a good time doing it.
Go flow!

What I want to be wary of is actually exactly the "productivity" of flow.
Engaging in deep focus activities is productive in the short-term, but can be exhausting, especially without taking adequate rest.
I also use my deep focus a lot professionally, and rarely have the energy to put in several hours more once I'm in a position to create for myself.

So, I'm working on finding ways to make progress on the things I make outside of work, in a way that doesn't feel like working on them.
I want to be able to meander through my personal time doing either nothing, or if I am doing something then meandering only very relaxedly towards some ulterior goal.
To this end, this means that anything I want to develop in my personal time has to be really easy to start doing.
