# An Interesting Title

[Kerbal Space Program](https://www.kerbalspaceprogram.com/) (KSP) is my favourite game, ever.
Its physics model of Keplerian orbits makes it easy and fun to learn the basics of the field of astrodynamics, or how spacecraft travel between worlds in curvilinear trajectories and orbits.
In KSP one can build space stations, recreate the Apollo missions, and much much more with little green space people known as Kerbals.
The orbital sandbox is, to my mind, a bit of a miracle of physics simulation, but it is not perfect. 

To keep KSP approachable and stable (or at least, as stable as it can be), its physics model uses the [patched conic approximation](https://en.wikipedia.org/wiki/Patched_conic_approximation) of the n-body problem.
Its benefits are that it is relatively cheap to calculate and also is completely deterministic, which is extremely valuable to a game where the passage of time may be accelerated up to 100,000x to mitigate the boredom of long interplanetary cruise stages.

For example, gravitational interactions from multiple bodies are not considered - a spacecraft moves under the influence of one and only one gravitational body, determined by the body's [sphere of influence](https://en.wikipedia.org/wiki/Sphere_of_influence_(astrodynamics)).
This means certain manoeuvres and features of celestial mechanics in real life are simply not available in KSP's stock physics model.
The recent launch of the [James Webb Space Telescope](https://www.jwst.nasa.gov/), for example, cannot be modeled in KSP because its position in space is dictated by the force of gravity from the Sun _and_ the Earth, out at the L2 [Lagrange point](https://en.wikipedia.org/wiki/Lagrange_point).
Similary, while Hohmann transfer orbits are the bread and butter of moving around KSP's universe, more esoteric [low-energy transfers](https://en.wikipedia.org/wiki/Low-energy_transfer) available to real mission planners are not available to players of the game.

From a game design perspective, using a patched conic approximation makes sense, as it keeps it simple and lets the player experiment and learn the basics of navigating with elliptical orbits in a fun and intuitive way.
However, advanced players or budding rocket scientists may want more, and turn to mods such as [Principia](https://github.com/mockingbirdnest/Principia/wiki/A-guide-to-going-to-the-Mun-with-Principia) or entirely entirely separate games and software such as [Orbiter](http://orbit.medphys.ucl.ac.uk/) or [Space Engine](https://spaceengine.org/).

Personally, I'm a games programmer with an interest in spacecraft, orbital mechanics, and reinventing wheels, so I'd like to make my own.
I'll use these blog posts to document and discuss its development, for the interest of others as well as keeping track of my own journey.
I'll also endeavour to maintain a list of references that have helped my learning, so that hopefully they can be useful to someone else too.

With that, I'll lead into the first post - [Kepler's Laws of Planetary Motion](#).

# References

* [Unite talk](https://www.youtube.com/watch?v=mXTxQko-JH0)